Subject: RE:Question regarding Compilation
From: [email-masked] (Suhaib M. Siddiqi)

25 Jun 1998 07:42:51 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Never mind, problem has been solved.  Thanks to Larry Hall for a some very
useful tips.

Just for the sake of GNU-Win32 users information, it was a Protein Modeling
and Drug Design software
for SGI machine (name of the software is WhatIf, source code can be licensed
from EMBL, Germany).  I am sort of impressed what Cygwin32 could do, i.e. to
port a 150 MB of source code to WindowsNT.  I spent a month hacking and
fixing the bugs.

Suhaib

--
=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Suhaib M. Siddiqi, Ph.D.
Senior Research Chemist
Inspire Pharmaceuticals, Inc.
4222 Emperor Blvd.,
Suite 470
Durham, NC 27703-8466

Tel:  (919) 941-9777 Ext. 238
Fax: (919) 941-9797
E-Mail: [email-masked]
http://www.inspirepharm.com
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Suhaib M. Siddiqi
> Sent: Tuesday, June 23, 1998 6:23 PM
> To: [email-masked]
> Subject: Question regarding Compilation
>
>
>
>
> I recently ported a very complicated UNIX (a 3D chemistry application) to
> WindowsNT.  I used Cygnus-Win32 Beta 19.1 and EGCS 1.0.2.  The application
> is linked to X11R6.3 libraries.  The application compile without any
> problems and errors or warnings.
> However, when I tried using the compiled binary, I get the
> SATATUS_ACCESS_VIOLATION, Segment Fault and it crashes.
>
> WHAT IF> (e:\whatif\whatif.exe 1094) Exception: STATUS_ACCESS_VIOLATION
> (e:\whatif\whatif.exe 1094) Dumping stack trace to whatif.exe.core
> bash-2.01$ rm *.core
> bash-2.01$ gdb whatif.exe
>
>
> Doing a debug with gdb, I get the following:
>
>
>
> Starting program: /e/whatif/whatif.exe
> 67000000:/WINNT/System32/libX11.dll
> 10000000:/WINNT/System32/cygwinb19.dll
>
> [failed reading symbols from DLL]
> "/WINNT/system32/advapi32.dll": error reading line numbers
>
>
> [failed reading symbols from DLL]
> "/WINNT/system32/KERNEL32.dll": error reading line numbers
>
> 77e70000:/WINNT/system32/USER32.dll
> 77ed0000:/WINNT/system32/GDI32.dll
> 77e10000:/WINNT/system32/RPCRT4.dll
> 5f810000:/WINNT/System32/rpcltc1.dll
>
>
> Since I linked the binary to libX11.a I am using a Netmanage Xoftware
> X-Server.
>
> I am not sure what is going on.
>
> Can anyone help?  Any suggestions and help will be highly appreciated.
>
> Suhaib
>
> --
> =-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> Suhaib M. Siddiqi, Ph.D.
> Senior Research Chemist
> Inspire Pharmaceuticals, Inc.
> 4222 Emperor Blvd.,
> Suite 470
> Durham, NC 27703-8466
>
> Tel:  (919) 941-9777 Ext. 238
> Fax: (919) 941-9797
> E-Mail: [email-masked]
> http://www.inspirepharm.com
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".